Bug 155440 - MetaData API for returning fixed length types
MetaData API for returning fixed length types
Status: NEW
Product: db
Classification: Unclassified
Component: Code
5.x
All All
: P3 (vote)
: TBD
Assigned To: Libor Fischmeistr
issues@db
: API
Depends on:
Blocks: 155258 149041
  Show dependency treegraph
 
Reported: 2008-12-15 00:55 UTC by John Baker
Modified: 2013-09-04 08:22 UTC (History)
0 users

See Also:
Issue Type: ENHANCEMENT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description John Baker 2008-12-15 00:55:03 UTC
These files use hardcoded fixed length types, better if kept in one place.

./db/src/org/netbeans/modules/db/explorer/dlg/CreateTableDialog.java
./db/test/unit/src/org/netbeans/modules/db/explorer/dlg/AddTableColumnDDLTest.java
./db/test/unit/src/org/netbeans/modules/db/explorer/dlg/CreateTableDDLTest.java

public static MetaData.getFixedTypes();

However when a size is specified for a field, a size is preset for most types.
Comment 1 John Baker 2008-12-19 18:41:14 UTC
enum org.netbeans.modules.db.metadata.model.api.SQLType defines "Fixed length types" but contains some variable types,
such as VARCHAR or does Fixed length types have a different meaning here?
Comment 2 David Vancouvering 2008-12-19 19:01:08 UTC
I'll take a closer look at this during bugfix phase, unless, do you need this now, John?  Sorry, trying to stay focused
on my feature work...
Comment 3 David Vancouvering 2008-12-19 19:03:04 UTC
Well, I took a quick look at that.  It's a bogus comment, I had something in there but I removed it, and left the
comment by accident.  This covers *all* types, with no distinction between fixed and variable.  That's probably a good
place to put this new method.

David
Comment 4 Jiri Rechtacek 2009-02-10 15:25:29 UTC
Reassigned to new owner.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo